View Issue Details

IDProjectCategoryView StatusLast Update
0031895LazarusIDEpublic2017-10-27 14:51
ReporterPascal Riekenberg Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version1.9 (SVN) 
Summary0031895: Close button in docked ToDo list closes IDE
DescriptionIf the ToDo list is docked a click on the close button closes the whole IDE
insted of the docked list.
Additional InformationJust remove the close button
TagsNo tags attached.
Fixed in Revisionr56143, r56156, 56216
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0018298 resolvedMattias Gaertner Please update the default layout provided with anchor docking package 
related to 0032591 resolvedJuha Manninen Anchor docking fall with AV and hang IDE after moving Code Explorer to another place 

Activities

Mattias Gaertner

2017-05-23 15:35

manager   ~0100623

It works here. It does not close the IDE, only the docksite and the todolist form.
Revision 55061.

There were some recent changes in the todolist. Please test with revision 55061.

Pascal Riekenberg

2017-05-23 15:55

developer   ~0100624

Revision IS 55061!
I've docked eveything to the main window so if docksite gets closed IDE gets closed.

Mattias Gaertner

2017-05-23 18:07

manager   ~0100628

I tried exactly that. I tried on Linux/gtk2. Maybe the bug only happens on Windows.
Can you send the debug output, when starting the IDE with --debug-log=log.txt ?

Pascal Riekenberg

2017-05-23 22:31

developer  

log.txt (1,272 bytes)   
Adding "--primary-config-path=C:\freepascal\Config\i386" as a parameter
Adding "--debug-log=log.txt" as a parameter
Adding "" as a parameter
SetPrimaryConfigPath NewValue="C:\freepascal\Config\i386" -> "C:\freepascal\Config\i386"
TLazarusManager.Run starting C:\freepascal\laz\lazarus.exe ...
al\Config\i386" -> "C:\freepascal\Config\i386"
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] PrimaryConfigPath="C:\freepascal\Config\i386"
Hint: (lazarus) [TMainIDE.ParseCmdLineOptions] SecondaryConfigPath="C:\freepascal\laz"
NOTE: loading old codetools options file: C:\freepascal\Config\i386\codetoolsoptions.xml
Hint: (lazarus) [TBuildManager.SetBuildTarget] Old=i386-win32-win32 New=i386-win32-win32 FPC=True LCL=False
TComponentTreeView.SetSelection: Updating component node values.
TLazSourceFileManager.InitOpenedProjectFile select form in designer: Form1:TForm1 TDesigner
TIDETodoWindow.ScanFile failed loading C:\freepascal\projects\primeIDE\primehint.pas
TIDETodoWindow.ScanFile failed loading C:\freepascal\projects\primeIDE\primehint.pas
LAZARUS END - cleaning up ...
TAnchorDockHostSite.Simplify AnchorDockSite11:TAnchorDockHostSite nil
Hint: (lazarus) [TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
Hint: (lazarus) [TMainIDE.Destroy] END
log.txt (1,272 bytes)   

Pascal Riekenberg

2017-05-23 22:34

developer   ~0100638

Just uploaded log.txt. Do you need a screenshot of the layout? Or the layout xml?

Mattias Gaertner

2017-05-23 22:39

manager   ~0100639

Yes, please send the layout xml.

Pascal Riekenberg

2017-05-24 06:23

developer  

desktop.xml (17,388 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <Desktops Count="1">
    <Desktop1 Name="default docked" DockMaster="TIDEAnchorDockMaster">
      <Desktop Version="2" FormIdCount="53">
        <FormIdList a1="MainIDE" a2="SourceNotebook" a3="MessagesView" a4="SearchResults" a5="IDETodoWindow" a6="PackageEditor_ToDoListLaz" a7="PackageEditor_eccontrols" a8="Assembler" a9="ProjectInspector" a10="PackageEditor_bgracontrols" a11="PackageEditor_BGRABitmapPack" a12="CodeBrowser" a13="ComponentList" a14="AnchorEditor" a15="PackageEditor_fpgui_toolkit" a16="PackageEditor_LCL" a17="PackageEditor_SynEditDsgn" a18="PackageEditor_leakview" a19="PackageEditor_virtualtreeview_package" a20="PackageEditor_SQLDBLaz" a21="PackageEditor_AnchorDockingDsgn" a22="PackageEditor_AnchorDocking" a23="PackageEditor_SynEdit" a24="PackageEditor_LazUtils" a25="PackageEditor_OnlinePackageManager" a26="BreakPoints" a27="Watches" a28="CallStack" a29="ObjectInspectorDlg" a30="DbgEvents" a31="AnchorDockSite1" a32="TabOrderEditor" a33="JumpHistory" a34="EvaluateModify" a35="PackageEditor_uniqueinstance_package" a36="Locals" a37="Inspect" a38="PackageEditor_NewPackage" a39="PackageEditor_LCLBase" a40="SourceNotebook2" a41="CodeExplorerView" a42="EditorFileManager" a43="PackageEditor_FCL" a44="PseudoTerminal" a45="Registers" a46="DbgOutput" a47="Threads" a48="DbgHistory" a49="UnitDependencies" a50="FPDocEditor" a51="ClipBrdHistory" a52="PkgGraphExplorer" a53="IssueBrowser"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <CustomPosition Left="-9" Top="4" Width="1908" Height="1000"/>
        <Visible Value="True"/>
      </MainIDE>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <CustomPosition Left="414" Top="149" Width="945" Height="903"/>
        <Visible Value="True"/>
      </SourceNotebook>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <CustomPosition Left="1400" Top="939" Width="524" Height="96"/>
      </MessagesView>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <CustomPosition Left="1370" Top="139" Width="533" Height="687"/>
      </SearchResults>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <CustomPosition Left="1400" Top="577" Width="524" Height="358"/>
      </IDETodoWindow>
      <PackageEditor_ToDoListLaz>
        <Caption Value="PackageEditor_ToDoListLaz"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_ToDoListLaz>
      <PackageEditor_eccontrols>
        <Caption Value="PackageEditor_eccontrols"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_eccontrols>
      <Assembler>
        <Caption Value="Assembler"/>
        <CustomPosition Left="34" Top="31" Width="676" Height="232"/>
      </Assembler>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <CustomPosition Left="1374" Top="127" Width="542" Height="700"/>
      </ProjectInspector>
      <PackageEditor_bgracontrols>
        <Caption Value="PackageEditor_bgracontrols"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_bgracontrols>
      <PackageEditor_BGRABitmapPack>
        <Caption Value="PackageEditor_BGRABitmapPack"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_BGRABitmapPack>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <CustomPosition Left="234" Top="231" Width="637" Height="500"/>
      </CodeBrowser>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <CustomPosition Left="258" Top="307" Width="300" Height="454"/>
      </ComponentList>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <CustomPosition Left="284" Top="281" Width="544" Height="361"/>
      </AnchorEditor>
      <PackageEditor_fpgui_toolkit>
        <Caption Value="PackageEditor_fpgui_toolkit"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_fpgui_toolkit>
      <PackageEditor_LCL>
        <Caption Value="PackageEditor_LCL"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_LCL>
      <PackageEditor_SynEditDsgn>
        <Caption Value="PackageEditor_SynEditDsgn"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_SynEditDsgn>
      <PackageEditor_leakview>
        <Caption Value="PackageEditor_leakview"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_leakview>
      <PackageEditor_virtualtreeview_package>
        <Caption Value="PackageEditor_virtualtreeview_package"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_virtualtreeview_package>
      <PackageEditor_SQLDBLaz>
        <Caption Value="PackageEditor_SQLDBLaz"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_SQLDBLaz>
      <PackageEditor_AnchorDockingDsgn>
        <Caption Value="PackageEditor_AnchorDockingDsgn"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_AnchorDockingDsgn>
      <PackageEditor_AnchorDocking>
        <Caption Value="PackageEditor_AnchorDocking"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_AnchorDocking>
      <PackageEditor_SynEdit>
        <Caption Value="PackageEditor_SynEdit"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_SynEdit>
      <PackageEditor_LazUtils>
        <Caption Value="PackageEditor_LazUtils"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_LazUtils>
      <PackageEditor_OnlinePackageManager>
        <Caption Value="PackageEditor_OnlinePackageManager"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_OnlinePackageManager>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <CustomPosition Left="34" Top="31" Width="547" Height="205"/>
      </BreakPoints>
      <Watches>
        <Caption Value="Watches"/>
        <CustomPosition Left="1212" Top="151" Width="694" Height="696"/>
        <Divider Count="2">
          <Item0 ID="ColumnWatchValue" Size="274"/>
          <Item1 ID="ColumnWatchExpr" Size="200"/>
        </Divider>
      </Watches>
      <CallStack>
        <Caption Value="CallStack"/>
        <CustomPosition Left="1187" Top="144" Width="707" Height="696"/>
        <Divider Count="1">
          <Item0 ID="ColumnCStackFunc" Size="1481"/>
        </Divider>
      </CallStack>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <CustomPosition Left="19" Top="154" Width="401" Height="873"/>
      </ObjectInspectorDlg>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <CustomPosition Left="34" Top="31" Width="564" Height="208"/>
      </DbgEvents>
      <AnchorDockSite1>
        <Caption Value="AnchorDockSite1"/>
        <CustomPosition Left="202" Top="178" Width="1879" Height="787"/>
      </AnchorDockSite1>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
        <CustomPosition Left="304" Top="301" Width="427" Height="419"/>
      </TabOrderEditor>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <CustomPosition Left="284" Top="281" Width="387" Height="426"/>
      </JumpHistory>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <CustomPosition Left="34" Top="31" Width="387" Height="300"/>
      </EvaluateModify>
      <PackageEditor_uniqueinstance_package>
        <Caption Value="PackageEditor_uniqueinstance_package"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_uniqueinstance_package>
      <Locals>
        <Caption Value="Locals"/>
        <CustomPosition Left="34" Top="31" Width="487" Height="200"/>
      </Locals>
      <Inspect>
        <Caption Value="Inspect"/>
        <CustomPosition Left="34" Top="31" Width="531" Height="400"/>
      </Inspect>
      <PackageEditor_NewPackage>
        <Caption Value="PackageEditor_NewPackage"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_NewPackage>
      <PackageEditor_LCLBase>
        <Caption Value="PackageEditor_LCLBase"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_LCLBase>
      <SourceNotebook2>
        <Caption Value="SourceNotebook2"/>
        <CustomPosition Left="667" Top="204" Width="677" Height="440"/>
      </SourceNotebook2>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <CustomPosition Left="1286" Top="158" Width="616" Height="879"/>
      </CodeExplorerView>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <CustomPosition Left="234" Top="231" Width="709" Height="380"/>
      </EditorFileManager>
      <PackageEditor_FCL>
        <Caption Value="PackageEditor_FCL"/>
        <CustomPosition Left="284" Top="231" Width="451" Height="455"/>
      </PackageEditor_FCL>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Registers>
        <Caption Value="Registers"/>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
      </DbgOutput>
      <Threads>
        <Caption Value="Threads"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
      </DbgHistory>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
      </UnitDependencies>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
      </PkgGraphExplorer>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
      </IssueBrowser>
      <Dialogs Count="18">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="461" Height="437"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="367"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="1069" Height="808"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="700" Height="480"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="460" Height="498"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TIDEInspectDlg"/>
          <Size Width="0" Height="0"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TEvaluateDlg"/>
          <Size Width="0" Height="0"/>
        </Dialog7>
        <Dialog8>
          <Name Value="TNewOtherDialog"/>
          <Size Width="570" Height="400"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="450" Height="450"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog10>
        <Dialog11>
          <Name Value="THelpSelectorDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TViewUnitDialog"/>
          <Size Width="450" Height="300"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TAddPkgDependencyDialog"/>
          <Size Width="400" Height="360"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TIDEInfoNeedBuildDlg"/>
          <Size Width="655" Height="434"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TShortCutDialog"/>
          <Size Width="372" Height="100"/>
        </Dialog15>
        <Dialog16>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="578"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TCodeTemplateDialog"/>
          <Size Width="600" Height="450"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="500" Height="460"/>
        </Dialog18>
      </Dialogs>
      <IDECoolBarOptions Count="2">
        <Width Value="234"/>
        <GrabStyle Value="0"/>
        <BorderStyle Value="0"/>
        <ToolBar1 Version="1" Count="10">
          <Break Value="True"/>
          <Button1 Name="NewUnit"/>
          <Button2 Name="NewForm"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Open"/>
          <Button5 Name="Save"/>
          <Button6 Name="SaveAll"/>
          <Button7 Name="---------------"/>
          <Button8 Name="Toggle between Unit and Form"/>
          <Button9 Name="---------------"/>
          <Button10 Name="Manage desktops"/>
        </ToolBar1>
        <ToolBar2 Version="1" Count="10">
          <Button1 Name="View Units"/>
          <Button2 Name="View Forms"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Change build mode"/>
          <Button5 Name="Run program"/>
          <Button6 Name="Pause program"/>
          <Button7 Name="Stop program"/>
          <Button8 Name="Step over"/>
          <Button9 Name="Step into"/>
          <Button10 Name="Step out"/>
        </ToolBar2>
      </IDECoolBarOptions>
      <EditorToolBarOptions Position="" Version="1" Count="4">
        <Button1 Name="Jump to Implementation"/>
        <Button2 Name="Jump back"/>
        <Button3 Name="Jump forward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
      <AnchorDocking>
        <Version Value="1"/>
        <MainConfig>
          <Nodes ChildCount="1">
            <Item1 Name="MainIDE" Type="CustomSite" ChildCount="1">
              <Bounds Left="-9" Top="4" Width="1908" Height="1000">
                <WorkArea>
                  <Rect Right="1920" Bottom="1040"/>
                </WorkArea>
              </Bounds>
              <Item1 Name="AnchorDockSite9" Type="Layout" ChildCount="7">
                <Bounds Top="60" Width="1908" Height="920" SplitterPos="58"/>
                <Anchors Align="Bottom"/>
                <Item1 Name="SourceNotebook" Type="Control">
                  <Bounds Left="415" Width="945" Height="920"/>
                  <Anchors Left="AnchorDockSplitter2" Right="AnchorDockSplitter3"/>
                  <Header Position="left"/>
                </Item1>
                <Item2 Name="MessagesView" Type="Control">
                  <Bounds Left="1367" Top="462" Width="541" Height="458"/>
                  <Anchors Left="AnchorDockSplitter3" Top="AnchorDockSplitter4"/>
                </Item2>
                <Item3 Name="AnchorDockSplitter2" Type="SplitterVertical">
                  <Bounds Left="407" Width="8" Height="920"/>
                </Item3>
                <Item4 Name="ObjectInspectorDlg" Type="Control">
                  <Bounds Width="407" Height="920"/>
                  <Anchors Right="AnchorDockSplitter2"/>
                </Item4>
                <Item5 Name="AnchorDockSplitter3" Type="SplitterVertical">
                  <Bounds Left="1360" Width="7" Height="920"/>
                </Item5>
                <Item6 Name="AnchorDockSite10" Type="Pages" ChildCount="5">
                  <Bounds Left="1367" Width="541" Height="456"/>
                  <Anchors Left="AnchorDockSplitter3" Bottom="AnchorDockSplitter4"/>
                  <Item1 Name="ProjectInspector" Type="Control">
                    <Bounds Width="533" Height="428"/>
                    <Anchors Align="Client"/>
                  </Item1>
                  <Item2 Name="CallStack" Type="Control">
                    <Bounds Width="533" Height="674"/>
                    <Anchors Align="Client"/>
                  </Item2>
                  <Item3 Name="SearchResults" Type="Control">
                    <Bounds Width="533" Height="428"/>
                    <Anchors Align="Client"/>
                  </Item3>
                  <Item4 Name="Watches" Type="Control">
                    <Bounds Width="533" Height="428"/>
                    <Anchors Align="Client"/>
                  </Item4>
                  <Item5 Name="IDETodoWindow" Type="Control">
                    <Bounds Width="533" Height="428"/>
                    <Anchors Align="Client"/>
                  </Item5>
                </Item6>
                <Item7 Name="AnchorDockSplitter4" Type="SplitterHorizontal">
                  <Bounds Left="1367" Top="456" Width="541" Height="6"/>
                  <Anchors Left="AnchorDockSplitter3"/>
                </Item7>
              </Item1>
            </Item1>
          </Nodes>
        </MainConfig>
        <Settings HeaderStyle="Points"/>
      </AnchorDocking>
    </Desktop1>
  </Desktops>
</CONFIG>
desktop.xml (17,388 bytes)   

Pascal Riekenberg

2017-05-24 06:24

developer   ~0100642

Last edited: 2017-05-24 06:24

View 2 revisions

Couldn't find layout.xml. Exported desktop instead, it includes anchordocking layout.

Juha Manninen

2017-06-12 20:53

developer   ~0101066

I tested on Windows but cannot reproduce the problem.
Your desktop file is overly complex and gave strange effects. For example the messages window covered everything else initially. I did not see a ToDo list window there.

You config may be corrupt somehow. There has been bugs that were fixed.
I resolve this now as "unable to reproduce".
If you find a systematic way to reproduce starting from an empty default configuration then please reopen. Otherwise please create your desktop configuration again starting from scratch.

Pascal Riekenberg

2017-06-13 12:50

developer   ~0101087

Last edited: 2017-06-13 12:51

View 2 revisions

Sorry! I've delete the complete config dir and recreated the settings.
Problem is still present.

New environmentoptions.xml is attached.

Pascal Riekenberg

2017-06-13 12:51

developer  

environmentoptions.xml (22,770 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <EnvironmentOptions>
    <Version Value="110" Lazarus="1.9.0"/>
    <FormEditor>
      <Rubberband>
        <SelectionColor Value="8388608"/>
        <CreationColor Value="128"/>
      </Rubberband>
    </FormEditor>
    <Recent AlreadyPopulated="True">
      <ProjectFiles Count="5">
        <Item1 Value="C:\freepascal\laz\examples\hello.lpi"/>
        <Item2 Value="C:\freepascal\laz\examples\imagelist\project1.lpi"/>
        <Item3 Value="C:\freepascal\laz\examples\openglcontrol\openglcontrol_demo.lpi"/>
        <Item4 Value="C:\freepascal\laz\examples\sprites\spriteexample.lpi"/>
        <Item5 Value="C:\freepascal\laz\examples\jpeg\jpegexample.lpi"/>
      </ProjectFiles>
    </Recent>
    <ExternalTools Version="3"/>
    <LazarusDirectory Value="">
      <History Count="1">
        <Item1 Value="C:\freepascal\laz\"/>
      </History>
    </LazarusDirectory>
    <CompilerFilename Value="C:\freepascal\fpc\trunk\bin\i386-win32\ppc386.exe">
      <History Count="2">
        <Item1 Value="C:\fpc\3.1.1\bin\i386-win32\fpc.exe"/>
        <Item2 Value="C:\freepascal\laz\fpc\3.1.1\bin\i386-win32\fpc.exe"/>
      </History>
    </CompilerFilename>
    <FPCSourceDirectory Value="C:\freepascal\fpc\trunk"/>
    <MakeFilename Value="C:\freepascal\binutils_3.0.0\i386-win32\make.exe">
      <History Count="2">
        <Item1 Value="C:\fpc\3.1.1\bin\i386-win32\make.exe"/>
        <Item2 Value="C:\freepascal\laz\fpc\3.1.1\bin\i386-win32\make.exe"/>
      </History>
    </MakeFilename>
    <TestBuildDirectory Value="C:\Users\RIEKEN~1\AppData\Local\Temp\">
      <History Count="3">
        <Item1 Value="C:\Users\RIEKEN~1\AppData\Local\Temp\"/>
        <Item2 Value="C:\temp\"/>
        <Item3 Value="C:\windows\temp\"/>
      </History>
    </TestBuildDirectory>
    <LastCalledByLazarusFullPath Value="C:\freepascal\laz\lazarus.exe"/>
    <Debugger Class="TGDBMIDebugger">
      <WatchesDlg ColumnNameWidth="-1" ColumnValueWidth="-1"/>
      <CallStackDlg ViewCount="0"/>
    </Debugger>
    <DebuggerFilename Value="C:\freepascal\binutils_3.0.0\i386-win32\gdb.exe"/>
  </EnvironmentOptions>
  <ObjectInspectorOptions ShowHints="False" InfoBoxHeight="50">
    <Version Value="3"/>
  </ObjectInspectorOptions>
  <Desktops Count="3" ActiveDesktop="default docked">
    <Desktop1 Name="default">
      <Desktop Version="2" FormIdCount="31">
        <FormIdList a1="Watches" a2="BreakPoints" a3="Locals" a4="CallStack" a5="EvaluateModify" a6="Registers" a7="Assembler" a8="DbgOutput" a9="Inspect" a10="DbgEvents" a11="PseudoTerminal" a12="Threads" a13="DbgHistory" a14="MainIDE" a15="SourceNotebook" a16="MessagesView" a17="UnitDependencies" a18="CodeExplorerView" a19="FPDocEditor" a20="ClipBrdHistory" a21="PkgGraphExplorer" a22="ProjectInspector" a23="EditorFileManager" a24="SearchResults" a25="AnchorEditor" a26="TabOrderEditor" a27="CodeBrowser" a28="IssueBrowser" a29="JumpHistory" a30="ComponentList" a31="ObjectInspectorDlg"/>
      </Desktop>
      <Watches>
        <Caption Value="Watches"/>
      </Watches>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
      </Locals>
      <CallStack>
        <Caption Value="CallStack"/>
      </CallStack>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
      </Registers>
      <Assembler>
        <Caption Value="Assembler"/>
      </Assembler>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
      </DbgEvents>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Threads>
        <Caption Value="Threads"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
      </DbgHistory>
      <MainIDE>
        <Caption Value="MainIDE"/>
      </MainIDE>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
      </SourceNotebook>
      <MessagesView>
        <Caption Value="MessagesView"/>
      </MessagesView>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
      </PkgGraphExplorer>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
      </ProjectInspector>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
      </EditorFileManager>
      <SearchResults>
        <Caption Value="SearchResults"/>
      </SearchResults>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
      </AnchorEditor>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
      </TabOrderEditor>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
      </CodeBrowser>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
      </IssueBrowser>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
      </JumpHistory>
      <ComponentList>
        <Caption Value="ComponentList"/>
      </ComponentList>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
      </ObjectInspectorDlg>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Version="1" Count="4">
        <Button1 Name="IDEMainMenu/Search/itmJumpings/itmJumpToSection/itmJumpToImplementation"/>
        <Button2 Name="IDEMainMenu/Search/itmJumpings/itmJumpBack"/>
        <Button3 Name="IDEMainMenu/Search/itmJumpings/itmJumpForward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
    </Desktop1>
    <Desktop2 Name="default docked" DockMaster="TIDEAnchorDockMaster">
      <Desktop Version="2" FormIdCount="32">
        <FormIdList a1="MainIDE" a2="SourceNotebook" a3="IDETodoWindow" a4="Watches" a5="BreakPoints" a6="Locals" a7="CallStack" a8="EvaluateModify" a9="Registers" a10="Assembler" a11="DbgOutput" a12="Inspect" a13="DbgEvents" a14="PseudoTerminal" a15="Threads" a16="DbgHistory" a17="MessagesView" a18="UnitDependencies" a19="CodeExplorerView" a20="FPDocEditor" a21="ClipBrdHistory" a22="PkgGraphExplorer" a23="ProjectInspector" a24="EditorFileManager" a25="SearchResults" a26="AnchorEditor" a27="TabOrderEditor" a28="CodeBrowser" a29="IssueBrowser" a30="JumpHistory" a31="ComponentList" a32="ObjectInspectorDlg"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <CustomPosition Left="380" Top="84" Width="1290" Height="770"/>
        <Visible Value="True"/>
      </MainIDE>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <CustomPosition Left="610" Top="229" Width="721" Height="489"/>
        <Visible Value="True"/>
      </SourceNotebook>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <CustomPosition Left="1344" Top="219" Width="330" Height="662"/>
      </IDETodoWindow>
      <Watches>
        <Caption Value="Watches"/>
      </Watches>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
      </Locals>
      <CallStack>
        <Caption Value="CallStack"/>
      </CallStack>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
      </Registers>
      <Assembler>
        <Caption Value="Assembler"/>
      </Assembler>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
      </DbgEvents>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Threads>
        <Caption Value="Threads"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
      </DbgHistory>
      <MessagesView>
        <Caption Value="MessagesView"/>
      </MessagesView>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
      </PkgGraphExplorer>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
      </ProjectInspector>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
      </EditorFileManager>
      <SearchResults>
        <Caption Value="SearchResults"/>
      </SearchResults>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
      </AnchorEditor>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
      </TabOrderEditor>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
      </CodeBrowser>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
      </IssueBrowser>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
      </JumpHistory>
      <ComponentList>
        <Caption Value="ComponentList"/>
      </ComponentList>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
      </ObjectInspectorDlg>
      <Dialogs Count="2">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="0" Height="0"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="0" Height="0"/>
        </Dialog2>
      </Dialogs>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Version="1" Count="4">
        <Button1 Name="Jump to Implementation"/>
        <Button2 Name="Jump back"/>
        <Button3 Name="Jump forward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
      <AnchorDocking>
        <Version Value="1"/>
        <MainConfig>
          <Nodes ChildCount="1">
            <Item1 Name="MainIDE" Type="CustomSite" ChildCount="1">
              <Bounds Left="380" Top="84" Width="1290" Height="770">
                <WorkArea>
                  <Rect Right="1920" Bottom="1040"/>
                </WorkArea>
              </Bounds>
              <Item1 Name="AnchorDockSite11" Type="Layout" ChildCount="7">
                <Bounds Top="60" Width="1290" Height="690" SplitterPos="58"/>
                <Anchors Align="Bottom"/>
                <Item1 Name="SourceNotebook" Type="Control">
                  <Bounds Left="222" Width="721" Height="506"/>
                  <Anchors Left="AnchorDockSplitter4" Right="AnchorDockSplitter3" Bottom="AnchorDockSplitter2"/>
                  <Header Position="left"/>
                </Item1>
                <Item2 Name="AnchorDockSplitter2" Type="SplitterHorizontal">
                  <Bounds Left="222" Top="506" Width="721" Height="7"/>
                  <Anchors Left="AnchorDockSplitter4" Right="AnchorDockSplitter3"/>
                </Item2>
                <Item3 Name="AnchorDockSite12" Type="Pages" ChildCount="5">
                  <Bounds Left="222" Top="513" Width="721" Height="177"/>
                  <Anchors Left="AnchorDockSplitter4" Top="AnchorDockSplitter2" Right="AnchorDockSplitter3"/>
                  <Item1 Name="MessagesView" Type="Control">
                    <Bounds Width="713" Height="149"/>
                    <Anchors Align="Client"/>
                  </Item1>
                  <Item2 Name="Watches" Type="Control">
                    <Bounds Width="932" Height="119"/>
                    <Anchors Align="Client"/>
                  </Item2>
                  <Item3 Name="SearchResults" Type="Control">
                    <Bounds Width="932" Height="119"/>
                    <Anchors Align="Client"/>
                  </Item3>
                  <Item4 Name="Assembler" Type="Control">
                    <Bounds Width="932" Height="106"/>
                    <Anchors Align="Client"/>
                  </Item4>
                  <Item5 Name="BreakPoints" Type="Control">
                    <Bounds Width="937" Height="106"/>
                    <Anchors Align="Client"/>
                  </Item5>
                </Item3>
                <Item4 Name="AnchorDockSplitter3" Type="SplitterVertical">
                  <Bounds Left="943" Width="9" Height="690"/>
                </Item4>
                <Item5 Name="AnchorDockSite13" Type="Pages" ChildCount="3">
                  <Bounds Left="952" Width="338" Height="690"/>
                  <Anchors Left="AnchorDockSplitter3"/>
                  <Item1 Name="CodeExplorerView" Type="Control">
                    <Bounds Width="330" Height="662"/>
                    <Anchors Align="Client"/>
                  </Item1>
                  <Item2 Name="ComponentList" Type="Control">
                    <Bounds Width="159" Height="628"/>
                    <Anchors Align="Client"/>
                  </Item2>
                  <Item3 Name="IDETodoWindow" Type="Control">
                    <Bounds Width="330" Height="662"/>
                    <Anchors Align="Client"/>
                  </Item3>
                </Item5>
                <Item6 Name="ObjectInspectorDlg" Type="Control">
                  <Bounds Width="218" Height="690"/>
                  <Anchors Right="AnchorDockSplitter4"/>
                </Item6>
                <Item7 Name="AnchorDockSplitter4" Type="SplitterVertical">
                  <Bounds Left="218" Width="4" Height="690"/>
                </Item7>
              </Item1>
            </Item1>
          </Nodes>
        </MainConfig>
      </AnchorDocking>
    </Desktop2>
    <Desktop3 Name="ToDo-Test" DockMaster="TIDEAnchorDockMaster">
      <Desktop Version="2" FormIdCount="32">
        <FormIdList a1="MainIDE" a2="SourceNotebook" a3="IDETodoWindow" a4="Watches" a5="BreakPoints" a6="Locals" a7="CallStack" a8="EvaluateModify" a9="Registers" a10="Assembler" a11="DbgOutput" a12="Inspect" a13="DbgEvents" a14="PseudoTerminal" a15="Threads" a16="DbgHistory" a17="MessagesView" a18="UnitDependencies" a19="CodeExplorerView" a20="FPDocEditor" a21="ClipBrdHistory" a22="PkgGraphExplorer" a23="ProjectInspector" a24="EditorFileManager" a25="SearchResults" a26="AnchorEditor" a27="TabOrderEditor" a28="CodeBrowser" a29="IssueBrowser" a30="JumpHistory" a31="ComponentList" a32="ObjectInspectorDlg"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <CustomPosition Left="380" Top="84" Width="1290" Height="770"/>
        <Visible Value="True"/>
      </MainIDE>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <CustomPosition Left="610" Top="229" Width="721" Height="489"/>
        <Visible Value="True"/>
      </SourceNotebook>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <CustomPosition Left="1344" Top="219" Width="330" Height="662"/>
      </IDETodoWindow>
      <Watches>
        <Caption Value="Watches"/>
      </Watches>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
      </BreakPoints>
      <Locals>
        <Caption Value="Locals"/>
      </Locals>
      <CallStack>
        <Caption Value="CallStack"/>
      </CallStack>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
      </EvaluateModify>
      <Registers>
        <Caption Value="Registers"/>
      </Registers>
      <Assembler>
        <Caption Value="Assembler"/>
      </Assembler>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
      </Inspect>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
      </DbgEvents>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Threads>
        <Caption Value="Threads"/>
      </Threads>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
      </DbgHistory>
      <MessagesView>
        <Caption Value="MessagesView"/>
      </MessagesView>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
      </UnitDependencies>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
      </FPDocEditor>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
      </PkgGraphExplorer>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
      </ProjectInspector>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
      </EditorFileManager>
      <SearchResults>
        <Caption Value="SearchResults"/>
      </SearchResults>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
      </AnchorEditor>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
      </TabOrderEditor>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
      </CodeBrowser>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
      </IssueBrowser>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
      </JumpHistory>
      <ComponentList>
        <Caption Value="ComponentList"/>
      </ComponentList>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
      </ObjectInspectorDlg>
      <Dialogs Count="2">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="0" Height="0"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="0" Height="0"/>
        </Dialog2>
      </Dialogs>
      <IDECoolBarOptions>
        <Width Value="230"/>
      </IDECoolBarOptions>
      <EditorToolBarOptions Version="1" Count="4">
        <Button1 Name="Jump to Implementation"/>
        <Button2 Name="Jump back"/>
        <Button3 Name="Jump forward"/>
        <Button4 Name="---------------"/>
      </EditorToolBarOptions>
      <AnchorDocking>
        <Version Value="1"/>
        <MainConfig>
          <Nodes ChildCount="1">
            <Item1 Name="MainIDE" Type="CustomSite" ChildCount="1">
              <Bounds Left="380" Top="84" Width="1290" Height="770">
                <WorkArea>
                  <Rect Right="1920" Bottom="1040"/>
                </WorkArea>
              </Bounds>
              <Item1 Name="AnchorDockSite11" Type="Layout" ChildCount="7">
                <Bounds Top="60" Width="1290" Height="690" SplitterPos="58"/>
                <Anchors Align="Bottom"/>
                <Item1 Name="SourceNotebook" Type="Control">
                  <Bounds Left="222" Width="721" Height="506"/>
                  <Anchors Left="AnchorDockSplitter4" Right="AnchorDockSplitter3" Bottom="AnchorDockSplitter2"/>
                  <Header Position="left"/>
                </Item1>
                <Item2 Name="AnchorDockSplitter2" Type="SplitterHorizontal">
                  <Bounds Left="222" Top="506" Width="721" Height="7"/>
                  <Anchors Left="AnchorDockSplitter4" Right="AnchorDockSplitter3"/>
                </Item2>
                <Item3 Name="AnchorDockSite12" Type="Pages" ChildCount="5">
                  <Bounds Left="222" Top="513" Width="721" Height="177"/>
                  <Anchors Left="AnchorDockSplitter4" Top="AnchorDockSplitter2" Right="AnchorDockSplitter3"/>
                  <Item1 Name="MessagesView" Type="Control">
                    <Bounds Width="713" Height="149"/>
                    <Anchors Align="Client"/>
                  </Item1>
                  <Item2 Name="Watches" Type="Control">
                    <Bounds Width="932" Height="119"/>
                    <Anchors Align="Client"/>
                  </Item2>
                  <Item3 Name="SearchResults" Type="Control">
                    <Bounds Width="932" Height="119"/>
                    <Anchors Align="Client"/>
                  </Item3>
                  <Item4 Name="Assembler" Type="Control">
                    <Bounds Width="932" Height="106"/>
                    <Anchors Align="Client"/>
                  </Item4>
                  <Item5 Name="BreakPoints" Type="Control">
                    <Bounds Width="937" Height="106"/>
                    <Anchors Align="Client"/>
                  </Item5>
                </Item3>
                <Item4 Name="AnchorDockSplitter3" Type="SplitterVertical">
                  <Bounds Left="943" Width="9" Height="690"/>
                </Item4>
                <Item5 Name="AnchorDockSite13" Type="Pages" ChildCount="3">
                  <Bounds Left="952" Width="338" Height="690"/>
                  <Anchors Left="AnchorDockSplitter3"/>
                  <Item1 Name="CodeExplorerView" Type="Control">
                    <Bounds Width="330" Height="662"/>
                    <Anchors Align="Client"/>
                  </Item1>
                  <Item2 Name="ComponentList" Type="Control">
                    <Bounds Width="159" Height="628"/>
                    <Anchors Align="Client"/>
                  </Item2>
                  <Item3 Name="IDETodoWindow" Type="Control">
                    <Bounds Width="330" Height="662"/>
                    <Anchors Align="Client"/>
                  </Item3>
                </Item5>
                <Item6 Name="ObjectInspectorDlg" Type="Control">
                  <Bounds Width="218" Height="690"/>
                  <Anchors Right="AnchorDockSplitter4"/>
                </Item6>
                <Item7 Name="AnchorDockSplitter4" Type="SplitterVertical">
                  <Bounds Left="218" Width="4" Height="690"/>
                </Item7>
              </Item1>
            </Item1>
          </Nodes>
        </MainConfig>
      </AnchorDocking>
    </Desktop3>
  </Desktops>
</CONFIG>
environmentoptions.xml (22,770 bytes)   

Pascal Riekenberg

2017-06-13 12:54

developer  

Unbenannt.png (75,423 bytes)   
Unbenannt.png (75,423 bytes)   

Juha Manninen

2017-10-21 08:54

developer   ~0103638

Last edited: 2017-10-21 20:22

View 3 revisions

Ok, once more. Please test with r56143.
See also the related issue 0032591.

Juha Manninen

2017-10-23 00:27

developer   ~0103699

Fixed, please test.

Pascal Riekenberg

2017-10-27 13:10

developer   ~0103794

Sorry in r56213 this issue still exists.

Pascal Riekenberg

2017-10-27 13:52

developer   ~0103795

Maybe just delete the close button. It's not necessary to close the window.

Mattias Gaertner

2017-10-27 14:09

manager   ~0103797

The close button is part of TButtonPanel, a commonly used control. I agree that from a GUI pov a buttonpanel should not be used for floating windows, it is more a thing for dialogs. I will change the todolist.

But since a buttonpanel is a common control it should work nevertheless. I will see if I can fix that.

Pascal Riekenberg

2017-10-27 14:51

developer   ~0103798

Thanks.

Issue History

Date Modified Username Field Change
2017-05-23 12:00 Pascal Riekenberg New Issue
2017-05-23 12:18 Mattias Gaertner Relationship added related to 0018298
2017-05-23 15:35 Mattias Gaertner Note Added: 0100623
2017-05-23 15:55 Pascal Riekenberg Note Added: 0100624
2017-05-23 18:07 Mattias Gaertner Note Added: 0100628
2017-05-23 22:31 Pascal Riekenberg File Added: log.txt
2017-05-23 22:34 Pascal Riekenberg Note Added: 0100638
2017-05-23 22:39 Mattias Gaertner Note Added: 0100639
2017-05-24 06:23 Pascal Riekenberg File Added: desktop.xml
2017-05-24 06:24 Pascal Riekenberg Note Added: 0100642
2017-05-24 06:24 Pascal Riekenberg Note Edited: 0100642 View Revisions
2017-06-12 20:47 Juha Manninen Assigned To => Juha Manninen
2017-06-12 20:47 Juha Manninen Status new => assigned
2017-06-12 20:53 Juha Manninen LazTarget => -
2017-06-12 20:53 Juha Manninen Note Added: 0101066
2017-06-12 20:53 Juha Manninen Status assigned => resolved
2017-06-12 20:53 Juha Manninen Resolution open => unable to reproduce
2017-06-13 12:50 Pascal Riekenberg Note Added: 0101087
2017-06-13 12:50 Pascal Riekenberg Status resolved => assigned
2017-06-13 12:50 Pascal Riekenberg Resolution unable to reproduce => reopened
2017-06-13 12:51 Pascal Riekenberg File Added: environmentoptions.xml
2017-06-13 12:51 Pascal Riekenberg Note Edited: 0101087 View Revisions
2017-06-13 12:54 Pascal Riekenberg File Added: Unbenannt.png
2017-10-21 08:52 Juha Manninen Relationship added related to 0032591
2017-10-21 08:54 Juha Manninen Note Added: 0103638
2017-10-21 08:54 Juha Manninen Assigned To Juha Manninen =>
2017-10-21 08:54 Juha Manninen Status assigned => new
2017-10-21 20:20 Juha Manninen Assigned To => Juha Manninen
2017-10-21 20:20 Juha Manninen Status new => feedback
2017-10-21 20:21 Juha Manninen Note Edited: 0103638 View Revisions
2017-10-21 20:22 Juha Manninen Note Edited: 0103638 View Revisions
2017-10-21 20:23 Juha Manninen Assigned To Juha Manninen =>
2017-10-21 20:34 Michl Assigned To => Michl
2017-10-21 20:34 Michl Status feedback => assigned
2017-10-21 20:35 Michl Assigned To Michl => Juha Manninen
2017-10-21 20:35 Michl Status assigned => feedback
2017-10-23 00:27 Juha Manninen Fixed in Revision => r56143, r56156
2017-10-23 00:27 Juha Manninen Note Added: 0103699
2017-10-23 00:27 Juha Manninen Status feedback => resolved
2017-10-23 00:27 Juha Manninen Resolution reopened => fixed
2017-10-27 13:10 Pascal Riekenberg Note Added: 0103794
2017-10-27 13:10 Pascal Riekenberg Status resolved => assigned
2017-10-27 13:10 Pascal Riekenberg Resolution fixed => reopened
2017-10-27 13:44 Mattias Gaertner Assigned To Juha Manninen => Mattias Gaertner
2017-10-27 13:52 Pascal Riekenberg Note Added: 0103795
2017-10-27 14:09 Mattias Gaertner Note Added: 0103797
2017-10-27 14:37 Mattias Gaertner Fixed in Revision r56143, r56156 => r56143, r56156, 56216
2017-10-27 14:37 Mattias Gaertner Status assigned => resolved
2017-10-27 14:37 Mattias Gaertner Resolution reopened => fixed
2017-10-27 14:51 Pascal Riekenberg Note Added: 0103798
2017-10-27 14:51 Pascal Riekenberg Status resolved => closed